## junit.framework
Class JUnit4TestCaseFacade

    java.lang.Object
      junit.framework.JUnit4TestCaseFacade

All Implemented Interfaces:
  Test, Describable

    public class JUnit4TestCaseFacade

extends Object
implements Test, Describable

Method Summary
`int` `countTestCases()` Counts the number of test cases that will be run by this test.
`Description` `getDescription()`
`void` `run(TestResult result)` Runs a test and collects its result in a TestResult instance.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### countTestCases

    public int countTestCases()

  Description copied from interface: `Test`
  Counts the number of test cases that will be run by this test.

  Specified by:
    `countTestCases` in interface `Test`

### run

    public void run(TestResult result)

  Description copied from interface: `Test`
  Runs a test and collects its result in a TestResult instance.

  Specified by:
    `run` in interface `Test`

### getDescription

    public Description getDescription()

  Specified by:
    `getDescription` in interface `Describable`
  Returns:
    a `Description` showing the tests to be run by the receiver

Copyright © 2002–2020 JUnit. All rights reserved.